package parsers

import "git.milar.in/nyaanime/model"

/*
how to get all torrent names on a nyaa page:

let s = "";
document.querySelectorAll("tr > td:nth-child(2) > a:not(.comments)").forEach(element => {
  s += element.textContent + "\n";
})
console.log(s);

*/

var Parsers = []model.Parser{
	{
		Identity: "Erai-Raws",
		TorrentParser: regexTorrentParser(
			`^\[Erai-raws\] (.*) - (.*?) \[(.*?)p\](?:\[HEVC\])?(?:\[Multiple Subtitle\])? (\[.*?\]+)?$`,
			TorrentParseOptions{
				Name:             1,
				Episode:          2,
				Resolution:       3,
				Subtitles:        4,
				SubtitleParser:   SquareBracketsLanguageParser,
				DefaultLanguages: []string{"ja"},
			},
		),
		FileParser: nil,
	},
}
